package co.yixiang.yshop.module.order.service.storeorder.dto;

import co.yixiang.yshop.framework.common.serializer.BigDecimalSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @ClassName PriceGroup
 * @Author hupeng <610796224@qq.com>
 * @Date 2023/6/18
 **/
@Data
public class PriceGroupDto {

    @Schema(description = "商品总价", required = true)
    private BigDecimal costPrice;

    private BigDecimal storeFreePostage;

    @Schema(description = "运费", required = true)
    private BigDecimal storePostage;

    @Schema(description = "总计", required = true)
    private BigDecimal totalPrice;

    @Schema(description = "VIP价", required = true)
    private BigDecimal vipPrice;

    @Schema(description = "积分", required = true)
    private BigDecimal payIntegral;

    @Schema(description = "优惠金额", required = true)
    private BigDecimal couponPrice;

    @Schema(description = "优惠券id", required = true)
    private Long couponId;
}
